$block: project-main;
$projects: projects;

.#{$block} {

	&__wrap {
		padding-top: 100px;
//		padding-bottom: 50px;
	}

	&__header {
		position: relative;
		margin-bottom: 40px;
		font-family: $font-family-head;

		&--label {
			width: 160px;
			font-weight: 700;
			line-height: 120%;
			margin-bottom: 20px;
			font-size: font-size-rel(16px);
		}

		&__content {

		}

		&--title {
			max-width: 320px;
			font-weight: 700;
			line-height: 130%;
			font-size: font-size-rel(22px);
		}

		&--logo {
			width: 140px;
			margin-bottom: 20px;
		}
	}

	&__text {
		max-width: 475px;
		line-height: 130%;
		font-size: font-size-rel(16px);
		margin-bottom: 40px;
	}

	&__info {
		padding-top: 40px;
		margin-bottom: 40px;
		line-height: 130%;
		font-size: font-size-rel(14px);
		border-top: 1px solid rgba(18,18,18,0.2);


		ul {
			margin: 0;
			padding: 0;
			list-style: none;
			display: flex;
			flex-wrap: wrap;
			justify-content: space-between;
		}

		li {
			width: 50%;
			margin-bottom: 20px;

			&:last-child {
				margin-bottom: 0;
			}
		}

		&--label {
			line-height: 120%;
			font-weight: 700;
			margin-bottom: 10px;
			font-size: font-size-rel(16px);
			font-family: $font-family-head;
		}

		&--value {

		}
	}

	&__image {
		position: relative;
		margin-bottom: 80px;

		&--top {
			left: calc(50%);
			top: -80px;
			width: 160px;
			z-index: 10;
			display: none;
			position: absolute;
		}

		&--bottom {
			left: 80px;
			bottom:  -40px;
			width: 80px;
			z-index: 10;
			display: none;
			position: absolute;
		}
	}

	&__data {
		margin: 0 0 50px 0;
		padding: 0;
		list-style: none;
		line-height: 130%;
		font-size: font-size-rel(14px);
		display: flex;
		flex-wrap: wrap;
		justify-content: space-between;


		li {
			width: 50%;
			margin-bottom: 30px;

			&:first-child {
				padding-right: 20px;
			}

			&:last-child {
				width: auto;
				margin-bottom: 0;
			}
		}

		&--label {
			max-width: 270px;
		}

		&--value {
			font-weight: 700;
			line-height: 120%;
			white-space: nowrap;
			margin-bottom: 10px;
			font-family: $font-family-head;
			font-size: font-size-rel(32px);
		}
	}

	&__content {
		position: relative;
		margin-bottom: 50px;
	}

	&__media {
		color: $white;
		height: 200px;
		position: relative;
		margin-bottom: 54px;
		background-position: 50% 50%;
		background-repeat: no-repeat;
		background-size: cover;

		&:before {
			top: 0;
			left: 0;
			right: 0;
			bottom: 0;
			z-index: 1;
			content: '';
			background: rgba(0,0,0,0.45);
			position: absolute;
		}

		&--title {
			top: 17px;
			left: 18px;
			z-index: 50;
			color: $white;
			font-weight: 700;
			line-height: 130%;
			position: absolute;
			font-size: font-size-rel(22px);
			font-family: $font-family-head;
		}

		&--text {
			left: 18px;
			bottom: 17px;
			z-index: 50;
			line-height: 130%;
			position: absolute;
			font-size: font-size-rel(14px);
		}

		&--top {
			left: calc(50%);
			top: -80px;
			width: 160px;
			z-index: 10;
			display: none;
			position: absolute;
		}


		&--bottom {
			left: calc(100% - 100px);
			bottom:  -35px;
			width: 70px;
			z-index: 10;
			display: block;
			position: absolute;
		}
	}

	@media (min-width: $screen-xs-min) {

		&__info {
			flex-wrap: nowrap;

			li {
				width: auto;
			}
		}

		&__data {
			flex-wrap: nowrap;

			li {
				width: auto;
				margin-bottom: 0;

			}
		}
	}

	@media (min-width: $screen-sm-min) {

		&__wrap {
	//		padding-bottom: 100px;
		}

		&__header {
			margin-bottom: 60px;

			&--label {
				text-align: right;
				margin-bottom: 40px;
				font-size: font-size-rel(18px);
			}

			&--title {
				order: 1;
				max-width: 400px;
				line-height: 120%;
				font-size: font-size-rel(30px);
			}

			&--content {
				padding-left: 160px;
				display: flex;
				align-items: flex-start;
				justify-content: space-between;
			}

			&--logo {
				width: 180px;
				flex-shrink: 0;
				margin: 0 0 0 20px;
				order: 2;
			}
		}

		&__text {
			margin-left: 160px;
		}

		&__media {
			height: 300px;
			margin-bottom: 100px;

			&--title {
				top: 40px;
				left: 40px;
				font-size: font-size-rel(30px);
			}

			&--text {
				width: 160px;
				bottom: 50px;
				left: calc(100% - 260px);
				font-size: font-size-rel(16px);
			}

			&--bottom {
				bottom: -40px;
				left: 160px;
				width: 80px;
			}
		}

		&__info {
			margin-left: 160px;
		}

		&__data {
			margin-bottom: 100px;
			line-height: 130%;
			font-size: font-size-rel(16px);
		}

		&__content {
			padding-top: 60px;
			margin-bottom: 80px;
		}
	}

	@media (min-width: $screen-md-min) {

		&__header {

			&--title {
				max-width: 600px;
				font-size: font-size-rel(40px);
			}

			&--logo {
				width: 320px;
				margin-top: -50px;
				margin-left: 120px;
			}
		}

		&__media {
			height: 300px;
			margin-left: 160px;
			margin-bottom: 140px;

			&--title {
				font-size: font-size-rel(40px);
			}

			&--top {
				display: block;
			}

			&--bottom {
				display: block;
			}
		}

		&__info {
			margin-bottom: 80px;
			font-size: font-size-rel(16px);

			&--label {
				font-size: font-size-rel(18px);
			}

			ul {
				max-width: 900px;
			}
		}

		&__data {
			max-width: 940px;
			margin-left: 160px;

			&--value {
				font-size: font-size-rel(40px);
			}
		}
	}

	@media (min-width: $screen-lg-min) {

		&__media {
			height: 400px;

			&:before {
				display: none;
			}

			&--text {
				color: $black;
			}

			&--top {
				left: calc(50% - 80px);
			}
		}
	}

	@media (min-width: $screen-xl-min) {

		&__wrap {
	//		padding-bottom: 120px;
		}

		&__header {

			&--label {
				margin-bottom: 60px;
			}

			&--title {
				max-width: 700px;
				font-size: font-size-rel(50px);
			}

			&--logo {
				margin-right: 160px;
			}
		}

		&__data {
			margin-bottom: 120px;

			&--value {
				font-size: font-size-rel(50px);
			}
		}

		&__content {
			margin-bottom: 100px;
		}

		&__media {

			&--title {
				font-size: font-size-rel(50px);
			}

			&--text {
				left: calc(100% - 260px);
			}
		}
	}
}

.#{$projects} {
	z-index: 100;
	position: relative;

	&__nav {
		padding: 0;
		list-style: none;
		margin: 0 0 30px 0;
		display: flex;
		align-items: center;

		li {
			margin-right: 20px;

			&:last-child {
				margin-right: 0;
			}
		}

		&--item {

		}

		&--button {
			opacity: .4;
			color: $black;
			transition: .3s;
			font-weight: 700;
			line-height: 20px;
			text-decoration: none;
			font-size: font-size-rel(18px);

			&:hover {
				opacity: 1;
				color: $black;
				text-decoration: none;
			}

			&.active {
				opacity: 1;
				text-decoration: none;
			}
		}
	}

	&__main {
		max-width: 800px;
		position: relative;

		&--wrap {
			z-index: 20;
			position: relative;
		}

		&--plus {
			z-index: 1;
			top: -150px;
			right: -160px;
			display: none;
			width: 322px;
			position: absolute;
		}
	}

	&__tab {
		z-index: 20;
		display: none;
		position: relative;

		&.active {
			display: block;
		}
	}

	&__slider {
		padding: 10px;
		margin-bottom: 20px;
		background: #F5F5F5;

		.owl-dots {
			display: none !important;
		}
	}

	&__switch {
		overflow: hidden;
		display: flex;
		align-items: center;
		justify-content: center;

		&--button {
			position: relative;

			&:before {
				top: 50%;
				z-index: 1;
				width: 300px;
				height: 1px;
				content: '';
				background: $red;
				position: absolute;
			}
		}

		&--prev {
			margin-right: 40px;

			&:before {
				right: calc(100% - 15px);
			}
		}

		&--next {
			margin-left: 40px;

			&:before {
				left: calc(100% - 15px);
			}
		}
	}

	@media (min-width: $screen-xs-min) {

		&__slider {
			padding: 20px;
		}
	}

	@media (min-width: $screen-sm-min) {
		display: flex;

		&__main {

			&--plus {
				display: block;
			}
		}

		&__nav {
			width: 160px;
			margin-bottom: 0;
			flex-shrink: 0;
			display: block;

			li {
				margin:0 0 20px 0;

				&:last-child {
					margin-bottom: 0;
				}
			}
		}

		&__main {
			width: calc(100% - 160px);
		}
	}

	@media (min-width: $screen-md-min) {
		margin-left: 160px;

		&__slider {
			padding: 40px;
		}

		&__switch {

			&--prev {
				margin-right: 80px;
			}

			&--next {
				margin-left: 80px;
			}
		}
	}
}